Bug 725823 - rsync.x86_64 0:3.0.6-4.el5 seems to use impropper ssh syntax
rsync.x86_64 0:3.0.6-4.el5 seems to use impropper ssh syntax
Status: CLOSED DUPLICATE of bug 724041
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
5.7
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Vojtech Vitek
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-26 12:57 EDT by Daniel Wharton
Modified: 2015-03-04 18:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 04:21:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Wharton 2011-07-26 12:57:38 EDT
Description of problem:

using rsync with ssh results in this:

OpenSSH_4.3p2, OpenSSL 0.9.8b 04 May 2006
usage: ssh [-1246AaCfgkMNnqsTtVvXxY] [-b bind_address] [-c cipher_spec]
           [-D [bind_address:]port] [-e escape_char] [-F configfile]
           [-i identity_file] [-L [bind_address:]port:host:hostport]
           [-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
           [-R [bind_address:]port:host:hostport] [-S ctl_path]
           [-w tunnel:tunnel] [user@]hostname [command]
rsync: connection unexpectedly closed (0 bytes received so far) [receiver]
rsync error: unexplained error (code 255) at io.c(600) [receiver=3.0.6]

Version-Release number of selected component (if applicable):

3.0.6-4

How reproducible:

Tried on two systems and was unable to rsync over ssh.  I received the same error both times.

Steps to Reproduce:
1. rsync -v -e "ssh -vvv" does.not.have.to.be.resolvable:/irrelevant /irrelevant/ 
2.
3.
  
Actual results:

OpenSSH_4.3p2, OpenSSL 0.9.8b 04 May 2006
usage: ssh [-1246AaCfgkMNnqsTtVvXxY] [-b bind_address] [-c cipher_spec]
           [-D [bind_address:]port] [-e escape_char] [-F configfile]
           [-i identity_file] [-L [bind_address:]port:host:hostport]
           [-l login_name] [-m mac_spec] [-O ctl_cmd] [-o option] [-p port]
           [-R [bind_address:]port:host:hostport] [-S ctl_path]
           [-w tunnel:tunnel] [user@]hostname [command]
rsync: connection unexpectedly closed (0 bytes received so far) [receiver]
rsync error: unexplained error (code 255) at io.c(600) [receiver=3.0.6]

Expected results:

host identity accept, login prompt, rsync performed

Additional info:

rpm -q openssh openssh-clients
openssh-4.3p2-72.el5_6.3
openssh-clients-4.3p2-72.el5_6.3
Comment 1 Daniel Wharton 2011-07-26 13:06:58 EDT
adding a username to the source or destination host solves the problem:

rsync -v -e "ssh -vvv" username@does.not.have.to.be.resolvable:/irrelevant /irrelevant/

OR

rsync -v -e "ssh -vvv" /irrelevant/ username@does.not.have.to.be.resolvable:/irrelevant

is this a new requirement or an oversight?
Comment 2 Tomas Hoger 2011-07-27 04:21:49 EDT

*** This bug has been marked as a duplicate of bug 724041 ***

Note You need to log in before you can comment on or make changes to this bug.